<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>comm1.ac</path>

  <params>
    <comm-frq-selected>instrumentation/comm[0]/frequencies/selected-mhz</comm-frq-selected>
    <comm-frq-standby>instrumentation/comm[0]/frequencies/standby-mhz</comm-frq-standby>
    <comm-frq-swp>instrumentation/comm[0]/frq-swap-btn</comm-frq-swp>
  </params>

  <animation>
    <!-- Objets opaques -->
    <object-name>fond</object-name>
    <object-name>texte</object-name>
    <object-name>Digit_COMM01</object-name>
    <object-name>Digit_COMM02</object-name>
    <object-name>Digit_COMM03</object-name>
    <object-name>Digit_COMM04</object-name>
    <object-name>Digit_COMM05</object-name>
    <object-name>dots</object-name>
    <object-name>Digit_STDBY01</object-name>
    <object-name>Digit_STDBY02</object-name>
    <object-name>Digit_STDBY03</object-name>
    <object-name>Digit_STDBY04</object-name>
    <object-name>Digit_STDBY05</object-name>
    <object-name>swapbtn</object-name>
    <object-name>knob-comm</object-name>
    <object-name>knob-stby</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>texte</object-name>
    <object-name>Digit_COMM01</object-name>
    <object-name>Digit_COMM02</object-name>
    <object-name>Digit_COMM03</object-name>
    <object-name>Digit_COMM04</object-name>
    <object-name>Digit_COMM05</object-name>
    <object-name>dots</object-name>
    <object-name>Digit_STDBY01</object-name>
    <object-name>Digit_STDBY02</object-name>
    <object-name>Digit_STDBY03</object-name>
    <object-name>Digit_STDBY04</object-name>
    <object-name>Digit_STDBY05</object-name>
  </animation>

  <animation>
    <type>material</type>
    <object-name>texte</object-name>
    <object-name>Digit_COMM01</object-name>
    <object-name>Digit_COMM02</object-name>
    <object-name>Digit_COMM03</object-name>
    <object-name>Digit_COMM04</object-name>
    <object-name>Digit_COMM05</object-name>
    <object-name>dots</object-name>
    <object-name>Digit_STDBY01</object-name>
    <object-name>Digit_STDBY02</object-name>
    <object-name>Digit_STDBY03</object-name>
    <object-name>Digit_STDBY04</object-name>
    <object-name>Digit_STDBY05</object-name>
    <object-name>swapbtn</object-name>
    <object-name>knob-comm</object-name>
    <object-name>knob-stby</object-name>
    <condition>
      <property>controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   0.7 </red>
      <green> 0.7 </green>
      <blue>  0.7 </blue>
    </emission>
  </animation>

  <!-- COMM DISPLAY -->
  <animation>
    <type>textranslate</type>
    <object-name>Digit_COMM01</object-name>
    <property alias="../../params/comm-frq-selected"/>
    <step>100</step>
    <factor>0.001</factor>
    <bias>0.0001</bias>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>Digit_COMM02</object-name>
    <property alias="../../params/comm-frq-selected"/>
    <step>10</step>
    <factor>0.01</factor>
    <bias>0.0001</bias>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>Digit_COMM03</object-name>
    <property alias="../../params/comm-frq-selected"/>
    <step>1</step>
    <factor>0.1</factor>
    <bias>0.0001</bias>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>Digit_COMM04</object-name>
    <property alias="../../params/comm-frq-selected"/>
    <step>0.1</step>
    <factor>1</factor>
    <bias>0.0001</bias>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>Digit_COMM05</object-name>
    <property alias="../../params/comm-frq-selected"/>
    <step>0.01</step>
    <factor>10</factor>
    <bias>0.0001</bias>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <!-- Standby -->
  <animation>
    <type>textranslate</type>
    <object-name>Digit_STDBY01</object-name>
    <property alias="../../params/comm-frq-standby"/>
    <step>100</step>
    <factor>0.001</factor>
    <bias>0.0001</bias>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>Digit_STDBY02</object-name>
    <property alias="../../params/comm-frq-standby"/>
    <step>10</step>
    <factor>0.01</factor>
    <bias>0.0001</bias>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>Digit_STDBY03</object-name>
    <property alias="../../params/comm-frq-standby"/>
    <step>1</step>
    <factor>0.1</factor>
    <bias>0.0001</bias>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>Digit_STDBY04</object-name>
    <property alias="../../params/comm-frq-standby"/>
    <step>0.1</step>
    <factor>1</factor>
    <bias>0.0001</bias>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <animation>
    <type>textranslate</type>
    <object-name>Digit_STDBY05</object-name>
    <property alias="../../params/comm-frq-standby"/>
    <step>0.01</step>
    <factor>10</factor>
    <bias>0.0001</bias>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>swapbtn</object-name>
    <visible>true</visible>
    <action>
      <button>0</button>
      <repeatable>false</repeatable>
      <binding>
        <command>property-toggle</command>
        <property alias="../../../../params/comm-frq-swp"/>
      </binding>
      <binding>
        <command>property-swap</command>
        <property alias="../../../../params/comm-frq-selected"/>
        <property alias="../../../../params/comm-frq-standby"/>
      </binding>
    </action>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>swapbtn</object-name>
    <property alias="../../params/comm-frq-swp"/>
    <factor> 30 </factor>
    <center>
      <x-m> 0.005 </x-m>
      <y-m> 0.000 </y-m>
      <z-m> 0.011 </z-m>
    </center>
    <axis>
      <x> 0 </x>
      <y> 0 </y>
      <z> 1 </z>
    </axis>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>knob-comm</object-name>
    <visible>true</visible>
    <action>
      <button>3</button>
      <repeatable>false</repeatable>
      <binding>
        <condition>
          <not><property>devices/status/keyboard/shift</property></not>
        </condition>
        <command>property-adjust</command>
        <property alias="../../../../params/comm-frq-selected"/>
        <step>0.25</step>
        <min>118.0</min>
        <max>137.0</max>
        <wrap>true</wrap>
        <mask>integer</mask>
      </binding>
      <binding>
        <condition>
          <property>devices/status/keyboard/shift</property>
        </condition>
        <command>property-adjust</command>
        <property alias="../../../../params/comm-frq-selected"/>
        <step>1</step>
        <min>118.0</min>
        <max>137.0</max>
        <wrap>true</wrap>
        <mask>integer</mask>
      </binding>
    </action>
    <action>
      <button>4</button>
      <repeatable>false</repeatable>
      <binding>
        <condition>
          <not><property>devices/status/keyboard/shift</property></not>
        </condition>
        <command>property-adjust</command>
        <property alias="../../../../params/comm-frq-selected"/>
        <step>-0.25</step>
        <min>118.0</min>
        <max>137.0</max>
        <wrap>true</wrap>
        <mask>integer</mask>
      </binding>
      <binding>
        <condition>
          <property>devices/status/keyboard/shift</property>
        </condition>
        <command>property-adjust</command>
        <property alias="../../../../params/comm-frq-selected"/>
        <step>-1</step>
        <min>118.0</min>
        <max>137.0</max>
        <wrap>true</wrap>
        <mask>integer</mask>
      </binding>
    </action>
  </animation>

  <animation>
    <type>pick</type>
    <object-name>knob-stby</object-name>
    <visible>true</visible>
    <action>
      <button>3</button>
      <repeatable>false</repeatable>
      <binding>
        <condition>
          <not><property>devices/status/keyboard/shift</property></not>
        </condition>
        <command>property-adjust</command>
        <property alias="../../../../params/comm-frq-standby"/>
        <step>0.25</step>
        <min>118.0</min>
        <max>137.0</max>
        <wrap>true</wrap>
        <mask>integer</mask>
      </binding>
      <binding>
        <condition>
          <property>devices/status/keyboard/shift</property>
        </condition>
        <command>property-adjust</command>
        <property alias="../../../../params/comm-frq-standby"/>
        <step>1</step>
        <min>118.0</min>
        <max>137.0</max>
        <wrap>true</wrap>
        <mask>integer</mask>
      </binding>
    </action>
    <action>
      <button>4</button>
      <repeatable>false</repeatable>
      <binding>
        <condition>
          <not><property>devices/status/keyboard/shift</property></not>
        </condition>
        <command>property-adjust</command>
        <property alias="../../../../params/comm-frq-standby"/>
        <step>-0.25</step>
        <min>118.0</min>
        <max>137.0</max>
        <wrap>true</wrap>
        <mask>integer</mask>
      </binding>
      <binding>
        <condition>
          <property>devices/status/keyboard/shift</property>
        </condition>
        <command>property-adjust</command>
        <property alias="../../../../params/comm-frq-standby"/>
        <step>-1</step>
        <min>118.0</min>
        <max>137.0</max>
        <wrap>true</wrap>
        <mask>integer</mask>
      </binding>
    </action>
  </animation>

</PropertyList>
